Package org.drinkless.tdlib

# Class TdApi.PaidReactor

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaidReactor

Enclosing class:
  `TdApi`

public static class TdApi.PaidReactor extends TdApi.Object
Contains information about a user who added paid reactions.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isAnonymous`
  True, if the reactor is anonymous.
  `boolean`
  `isMe`
  True, if the paid reaction was added by the current user.
  `boolean`
  `isTop`
  True, if the reactor is one of the most active reactors; may be false if the reactor is the current user.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the user or chat that added the reactions; may be null for anonymous reactors that aren't the current user.
  `long`
  `starCount`
  Number of Telegram Stars added.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaidReactor()`
  Contains information about a user who added paid reactions.
  `PaidReactor(TdApi.MessageSender senderId, long starCount, boolean isTop, boolean isMe, boolean isAnonymous)`
  Contains information about a user who added paid reactions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### senderId

    @Nullable public TdApi.MessageSender senderId
    Identifier of the user or chat that added the reactions; may be null for anonymous reactors that aren't the current user.

  - ### starCount

    public long starCount
    Number of Telegram Stars added.

  - ### isTop

    public boolean isTop
    True, if the reactor is one of the most active reactors; may be false if the reactor is the current user.

  - ### isMe

    public boolean isMe
    True, if the paid reaction was added by the current user.

  - ### isAnonymous

    public boolean isAnonymous
    True, if the reactor is anonymous.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaidReactor

    public PaidReactor()
    Contains information about a user who added paid reactions.

  - ### PaidReactor

    public PaidReactor(TdApi.MessageSender senderId, long starCount, boolean isTop, boolean isMe, boolean isAnonymous)
    Contains information about a user who added paid reactions.
    Parameters:
      `senderId` - Identifier of the user or chat that added the reactions; may be null for anonymous reactors that aren't the current user.
      `starCount` - Number of Telegram Stars added.
      `isTop` - True, if the reactor is one of the most active reactors; may be false if the reactor is the current user.
      `isMe` - True, if the paid reaction was added by the current user.
      `isAnonymous` - True, if the reactor is anonymous.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR